<template>
  <q-layout view="lHr lpr lff">
    <q-header class="main_header row justify-center" elevated>
      <div class="col-12 col-sm-10 row justify-between block_main_header">
        <div class="logo" @click="ddd"></div>

        <q-tabs
          v-model="tab"
          class="gt-sm"
          style="color: #878382"
          active-color="orange-10"
          indicator-color="orange-10"
          active-class="active"
          stretch
        >
          <q-tab class="navigation active" name="kontakt" label="Контакты" />
          <q-tab class="navigation" name="typeusluga" label="Услуги" />
          <q-tab class="navigation" name="otziv" label="Отзывы" />
          <q-tab class="navigation" name="sotrudnik" label="Сотрудники" />
        </q-tabs>

        <div class="gamburger_menu lt-md" @click="showDrawer">
          <span class="gm1"></span><span class="gm2"></span
          ><span class="gm3"></span>
        </div>
      </div>
    </q-header>
    <q-drawer v-model="leftDrawerOpen" side="right" bordered class="bg-grey-2">
      <q-list>
        <q-item-label header>Essential Links</q-item-label>
        <q-item clickable tag="a" target="_blank" href="https://quasar.dev">
          <q-item-section avatar>
            <q-icon name="school" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Docs</q-item-label>
            <q-item-label caption>quasar.dev</q-item-label>
          </q-item-section>
        </q-item>
        <q-item
          clickable
          tag="a"
          target="_blank"
          href="https://github.com/quasarframework/"
        >
          <q-item-section avatar>
            <q-icon name="code" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Github</q-item-label>
            <q-item-label caption>github.com/quasarframework</q-item-label>
          </q-item-section>
        </q-item>
        <q-item
          clickable
          tag="a"
          target="_blank"
          href="https://chat.quasar.dev"
        >
          <q-item-section avatar>
            <q-icon name="chat" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Discord Chat Channel</q-item-label>
            <q-item-label caption>chat.quasar.dev</q-item-label>
          </q-item-section>
        </q-item>
        <q-item
          clickable
          tag="a"
          target="_blank"
          href="https://forum.quasar.dev"
        >
          <q-item-section avatar>
            <q-icon name="forum" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Forum</q-item-label>
            <q-item-label caption>forum.quasar.dev</q-item-label>
          </q-item-section>
        </q-item>
        <q-item
          clickable
          tag="a"
          target="_blank"
          href="https://twitter.com/quasarframework"
        >
          <q-item-section avatar>
            <q-icon name="rss_feed" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Twitter</q-item-label>
            <q-item-label caption>@quasarframework</q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-drawer>

    <q-page-container>
      <div class="row justify-center">
        <main-content />
      </div>
    </q-page-container>
  </q-layout>
</template>

<script>
import { ref } from 'vue'
import Content from './components/content.vue'

export default {
  name: 'LayoutDefault',

  components: {
    mainContent: Content,
  },

  setup() {
    const leftDrawerOpen = ref(false)

    const showDrawer = () => {
      leftDrawerOpen.value = true
    }
    const tab = ref('kontakt')
    const active_menu = (aaa) => {
      console.log(aaa)
    }

    return {
      leftDrawerOpen,
      showDrawer,
      tab,
      active_menu,
    }
  },

  mounted() {
    // const observer = new IntersectionObserver((entries) => {
    //   // перебор записей
    //   entries.forEach((entry) => {
    //     const post_type = entry.target.querySelector('.post-type')
    //     // если элемент появился
    //     if (entry.isIntersecting) {
    //       // добавить ему CSS-класс
    //       post_type.classList.add('post-type-animation')
    //       return
    //     }
    //     // post_type.classList.remove('post-type-animation')
    //   })
    // })
    // observer.observe(document.querySelector('.wrap-post-type'))
  },
}
</script>

<style>
.main_header {
  background-color: #fcf3d6 !important;
  color: #000 !important;
  height: 60px;
  border: 0px solid red;
}
.block_main_header {
  border: 0px solid red;
  background-color: #fcf3d6;
}
.gamburger_menu {
  position: relative;
  border: 0px solid red;
  margin: 5px 20px;
  height: 50px;
  width: 50px;
  border-radius: 50px;
  cursor: pointer;
}
.gamburger_menu:hover {
  background-color: #ec602b17;
}
.gm1 {
  display: block;
  width: 30px;
  height: 3px;
  background-color: #ec602b;
  margin: 14px 10px 0px 10px;
}
.gm2 {
  display: block;
  width: 30px;
  height: 3px;
  background-color: #ec602b;
  margin: 6px 10px 0px 10px;
}
.gm3 {
  display: block;
  width: 30px;
  height: 3px;
  background-color: #ec602b;
  margin: 6px 10px 0px 10px;
}
.logo {
  height: 60px;
  border: 0px solid #ec602b;
  width: 300px;
  background-image: url('assets/logo.png');
  background-repeat: no-repeat;
  background-size: contain;
}
.q-tab__indicator {
  height: 3px !important;
}
</style>
